Bug 861191 - brasero ignores/discards ISRC
brasero ignores/discards ISRC
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: brasero (Show other bugs)
7.0
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Zeeshan Ali
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 14:46 EDT by Mark Gordon
Modified: 2014-06-18 04:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: brasero-3.8.0-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:07:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] Switch BRASERO_TRACK_STREAM_ISRC_TAG from int to string (22.18 KB, patch)
2013-01-09 10:44 EST, Tomáš Bžatek
no flags Details | Diff

  None (edit)
Description Mark Gordon 2012-09-27 14:46:58 EDT
Description of problem:
When ISRC metadata is added to a brasero track, it's evidently discarded.

Version-Release number of selected component (if applicable):
brasero-3.4.1-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. In brasero, create a new audio project.
2. Add a sound file to the project.
3. Right-click -> Edit Information...
4. Add Title, Artist, Composer, and ISRC.  Per http://en.wikipedia.org/wiki/International_Standard_Recording_Code valid examples include BRBMG0300729 and USPR37300012.
5. Click Apply
6. Right-click -> Edit Information...
  
Actual results:
ISRC field is blank

Expected results:
Worst case: ISRC field shows the ISRC that was entered previously.
Best case (probably unrealistic): other fields get automatically filled in based on ISRC.

Additional info:
Including dashes as is optional in ISRC doesn't help any.
In theory, the ISRC can be encoded onto CDs.  It's possible (I haven't checked) that this actually happens, in which case the summary is wrong, but it's still a bug in that case in that the ISRC is no longer visible to the user.
I'm assigning this High priority on account of presumed data loss.
Comment 2 Tomáš Bžatek 2013-01-09 10:44:26 EST
Created attachment 675689 [details]
[PATCH] Switch BRASERO_TRACK_STREAM_ISRC_TAG from int to string

Brasero treated ISRC code as numerical only and entering non-numerical characters led to conversion error and discarding the information. Based on the ISRC format description it should be possible to enter alphanumerical characters, so I've made a patch to change data type to string.
Comment 4 Zeeshan Ali 2013-10-30 12:32:16 EDT
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=711162
Comment 8 Ludek Smid 2014-06-13 06:07:03 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.